> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenca aree di lavoro

> Elenca le aree di lavoro visibili al principal dell'API pubblica.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/workspaces
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces:
    get:
      tags:
        - public-accounts
        - public-workspaces
      summary: Elenca aree di lavoro
      description: Elenca le aree di lavoro visibili al principal dell'API pubblica.
      operationId: list_public_workspaces_v1_public_accounts__account_id__workspaces_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceListResponse:
      properties:
        items:
          description: Aree di lavoro in questa pagina
          items:
            $ref: '#/components/schemas/WorkspaceResponse'
          title: Elementi
          type: array
        page:
          description: Numero di pagina corrente in base uno
          title: Pagina
          type: integer
        page_size:
          description: Numero massimo di articoli per pagina
          title: Dimensione pagina
          type: integer
        total:
          description: Aree di lavoro corrispondenti totali
          title: Totale
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: WorkspaceListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: Account UUID proprietario dell'area di lavoro
          format: uuid
          title: Id account
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp di creazione dell'area di lavoro
          title: Creato il
        id:
          description: UUID dell'area di lavoro
          format: uuid
          title: ID
          type: string
        name:
          description: Nome visualizzato dell'area di lavoro
          title: Nome
          type: string
        status:
          default: active
          description: Stato del ciclo di vita dell'area di lavoro
          title: Stato
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Timestamp dell'ultimo aggiornamento dell'area di lavoro
          title: Aggiornato il
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````